# Class OffersClient

#### Hierarchy

- OffersClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:1740

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorCancelOffer
methodDescriptorGetMyOffer
methodDescriptorGetMyOffers
methodDescriptorGetOffer
methodDescriptorGetOffers
methodDescriptorPostOffer
options_

### Methods

cancelOffer
getMyOffer
getMyOffers
getOffer
getOffers
postOffer

## Constructors

### constructor

- new OffersClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): OffersClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns OffersClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1746

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:1741

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1743

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:1742

### methodDescriptorCancelOffer

methodDescriptorCancelOffer: MethodDescriptor<CancelOfferRequest, CancelOfferReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1974

### methodDescriptorGetMyOffer

methodDescriptorGetMyOffer: MethodDescriptor<GetMyOfferRequest, GetMyOfferReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1802

### methodDescriptorGetMyOffers

methodDescriptorGetMyOffers: MethodDescriptor<GetMyOffersRequest, GetMyOffersReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1888

### methodDescriptorGetOffer

methodDescriptorGetOffer: MethodDescriptor<GetOfferRequest, GetOfferReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1759

### methodDescriptorGetOffers

methodDescriptorGetOffers: MethodDescriptor<GetOffersRequest, GetOffersReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1845

### methodDescriptorPostOffer

methodDescriptorPostOffer: MethodDescriptor<PostOfferRequest, PostOfferReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:1931

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:1744

## Methods

### cancelOffer

- cancelOffer(request: CancelOfferRequest, metadata?: null | Metadata): Promise<CancelOfferReply>

- #### Parameters

  - ##### request: CancelOfferRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CancelOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1985
- cancelOffer(request: CancelOfferRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CancelOfferReply) => void)): ClientReadableStream<CancelOfferReply>

- #### Parameters

  - ##### request: CancelOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CancelOfferReply) => void)

    - - (err: RpcError, response: CancelOfferReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CancelOfferReply

        #### Returns void

  #### Returns ClientReadableStream<CancelOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1989

### getMyOffer

- getMyOffer(request: GetMyOfferRequest, metadata?: null | Metadata): Promise<GetMyOfferReply>

- #### Parameters

  - ##### request: GetMyOfferRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetMyOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1813
- getMyOffer(request: GetMyOfferRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetMyOfferReply) => void)): ClientReadableStream<GetMyOfferReply>

- #### Parameters

  - ##### request: GetMyOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetMyOfferReply) => void)

    - - (err: RpcError, response: GetMyOfferReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMyOfferReply

        #### Returns void

  #### Returns ClientReadableStream<GetMyOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1817

### getMyOffers

- getMyOffers(request: GetMyOffersRequest, metadata?: null | Metadata): Promise<GetMyOffersReply>

- #### Parameters

  - ##### request: GetMyOffersRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetMyOffersReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1899
- getMyOffers(request: GetMyOffersRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetMyOffersReply) => void)): ClientReadableStream<GetMyOffersReply>

- #### Parameters

  - ##### request: GetMyOffersRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetMyOffersReply) => void)

    - - (err: RpcError, response: GetMyOffersReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMyOffersReply

        #### Returns void

  #### Returns ClientReadableStream<GetMyOffersReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1903

### getOffer

- getOffer(request: GetOfferRequest, metadata?: null | Metadata): Promise<GetOfferReply>

- #### Parameters

  - ##### request: GetOfferRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1770
- getOffer(request: GetOfferRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetOfferReply) => void)): ClientReadableStream<GetOfferReply>

- #### Parameters

  - ##### request: GetOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetOfferReply) => void)

    - - (err: RpcError, response: GetOfferReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetOfferReply

        #### Returns void

  #### Returns ClientReadableStream<GetOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1774

### getOffers

- getOffers(request: GetOffersRequest, metadata?: null | Metadata): Promise<GetOffersReply>

- #### Parameters

  - ##### request: GetOffersRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetOffersReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1856
- getOffers(request: GetOffersRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetOffersReply) => void)): ClientReadableStream<GetOffersReply>

- #### Parameters

  - ##### request: GetOffersRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetOffersReply) => void)

    - - (err: RpcError, response: GetOffersReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetOffersReply

        #### Returns void

  #### Returns ClientReadableStream<GetOffersReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1860

### postOffer

- postOffer(request: PostOfferRequest, metadata?: null | Metadata): Promise<PostOfferReply>

- #### Parameters

  - ##### request: PostOfferRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<PostOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1942
- postOffer(request: PostOfferRequest, metadata: null | Metadata, callback: ((err: RpcError, response: PostOfferReply) => void)): ClientReadableStream<PostOfferReply>

- #### Parameters

  - ##### request: PostOfferRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: PostOfferReply) => void)

    - - (err: RpcError, response: PostOfferReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: PostOfferReply

        #### Returns void

  #### Returns ClientReadableStream<PostOfferReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:1946

Generated using TypeDoc